-- Name: BSU_addFillTypes
-- Author: Chissel

BSU_addFillTypes = {}

local modName = g_currentModName
local modDirectory = g_currentModDirectory

function BSU_addFillTypes:loadMapData(xmlFile, missionInfo, baseDirectory)
    local fillTypesXML = loadXMLFile("BSU_fillTypes", modDirectory.."xml/BSU_fillTypes.xml")
    g_fillTypeManager:loadFillTypes(fillTypesXML, modDirectory , false, modName)

    local tarp = g_fillTypeManager:getFillTypeByName("TARP")
    tarp.title = g_i18n:getText("fillType_tarp_default")
end